//
//  MPPositive_TrashListModel.swift
//  relax.offline.mp3.music
//
//  Created by Mr.Zhou on 2024/7/31.
//

import UIKit
///禁用名单模型
class MPPositive_TrashListModel: NSObject {
    ///禁用状态
    var statu:Bool = false
    ///禁用歌手
    var name:String = ""
    ///禁用关键词组
    var keyWords:[String] = []
    ///禁用歌手ID
    var singerID:String = ""
    ///禁用歌曲ID组
    var videoIDs:[String] = []
    
    init(_ dict:[String:Any]) {
        super.init()
        if let statu = dict["statu"] as? Bool {
            self.statu = statu
        }
        if let name = dict["name"] as? String {
            self.name = name
        }
        if let keyWords = dict["keyWords"] as? [String] {
            self.keyWords = keyWords
        }
        if let singerID = dict["singerID"] as? String{
            self.singerID = singerID
        }
        if let videoIDs = dict["videoIDs"] as? [String]{
            self.videoIDs = videoIDs
        }
    }
}
